package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.Content;

/**
 * 内容信息Service接口
 *
 * @author ruoyi
 * @date 2025-05-15
 */
public interface IContentService
{
    /**
     * 查询内容信息
     *
     * @param id 内容信息主键
     * @return 内容信息
     */
    public Content selectContentById(Long id);

    /**
     * 查询内容信息列表
     *
     * @param content 内容信息
     * @return 内容信息集合
     */
    public List<Content> selectContentList(Content content);

    /**
     * 新增内容信息
     *
     * @param content 内容信息
     * @return 结果
     */
    public int insertContent(Content content);

    /**
     * 修改内容信息
     *
     * @param content 内容信息
     * @return 结果
     */
    public int updateContent(Content content);

    /**
     * 批量删除内容信息
     *
     * @param ids 需要删除的内容信息主键集合
     * @return 结果
     */
    public int deleteContentByIds(Long[] ids);

    /**
     * 删除内容信息信息
     *
     * @param id 内容信息主键
     * @return 结果
     */
    public int deleteContentById(Long id);
}
